Bug 119770 - cpuspeed init script doesn't check /var/lock/subsys/cpuspeed
Summary: cpuspeed init script doesn't check /var/lock/subsys/cpuspeed
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-utils   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC2Blocker
TreeView+ depends on / blocked
 
Reported: 2004-04-02 01:28 UTC by Gabriel Friedmann
Modified: 2007-11-30 22:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-04 01:45:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to cpuspeed init file to honour lock file (1.28 KB, patch)
2004-04-16 17:18 UTC, Nils Philippsen
no flags Details | Diff

Description Gabriel Friedmann 2004-04-02 01:28:47 UTC
Description of problem:
cpuspeed init script does not check /var/lock/subsys/cpuspeed

Version-Release number of selected component (if applicable):
initscripts-7.49-1


How reproducible:
Every time.

Steps to Reproduce:
1. look at /etc/init.d/cpuspeed
-or-
2. go into single user mode via 'init 1' or the like
3. ps ax | grep cpu
  
Actual results:
multiple instances of cpuspeed -d


Expected results:
only one instance


Additional info:
the lock file was added earlier.
see bug# 113911
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=113911

can close that one too, while your at it.

Comment 1 Warren Togami 2004-04-11 03:35:51 UTC
Please supply your suggested unified diff for /etc/init.d/cpuspeed.


Comment 2 Nils Philippsen 2004-04-16 17:18:55 UTC
Created attachment 99490 [details]
patch to cpuspeed init file to honour lock file


Note You need to log in before you can comment on or make changes to this bug.